Lista ou consulta categories
GET/api/events/categories
- Auth
- Public
- Clé d’API:
- events:read
- X-CommunityId
X-CommunityIdEnvoyez le X-CommunityId de la communauté où l’opération a lieu.
Les descriptions des endpoints viennent directement de la spécification de l’API et sont en portugais pour l’instant. L’interface autour est traduite.
Autenticação opcional: o conteúdo retornado varia conforme o membro autenticado.
Paramètres
| Nom | Emplacement | Type | Description |
|---|---|---|---|
spaceIdfacultatif | query | string (uuid) | Valid space ID required if provided |
filterfacultatif | query | next | my | past | all | Filter must be one of: next, my, past, all |
searchfacultatif | query | string | Search must be a string |
En-têtes
| Nom | Type | Description |
|---|---|---|
X-CommunityIdfacultatif | string (uuid) | ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade. |
Réponses
| Statut | Description |
|---|---|
200 | Operação realizada com sucesso. |
400 | Requisição inválida — falha de validação. |
500 | Erro interno do servidor. |
Exemple curl
curl -X GET "https://api.memberfy.net/api/events/categories" \
-H "X-CommunityId: $COMMUNITY_ID"